package org.eclipse.jwt.we.plugins.sheetexample;

import java.util.MissingResourceException;
import java.util.ResourceBundle;


public class SheetExamplePluginProperties
{

	private static final String BUNDLE_NAME = "org.eclipse.jwt.we.plugins.sheetexample.plugin"; //$NON-NLS-1$

	private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle
			.getBundle(BUNDLE_NAME);


	private SheetExamplePluginProperties()
	{
	}


	public static String getString(String key)
	{
		try
		{
			return RESOURCE_BUNDLE.getString(key);
		}
		catch (MissingResourceException e)
		{
			return '!' + key + '!';
		}
	}
}
